View Issue Details

IDProjectCategoryView StatusLast Update
0002009Ham Radio DeluxeBugpublic2018-07-25 20:47
ReporterKB3NPH 
Assigned ToKB3NPH 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.873 
Summary0002009: DX Cluster Options Selection don't Save
DescriptionTicket #443939
Under DX Cluster Options/Selection changing Use sh/dx to Use sh/mydx does not save when closing. The command has to be put in manually each time DX Cluster is run.

This is under Spider and CC Cluster Options
Steps To ReproduceOpen Logbook
In the DX cluster pane, click Options
Move to the "Selections" tab
Observe the current setting of "Spider and CC Cluster Options"
Change the radio button to the un-selected option
Click "OK"

Either...
- immediately go back and look at that setting, or...
- exit Logbook and go back to that setting

The complaint is that this setting is not being saved.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleDX Cluster
Testing Beta Successful

Relationships

Activities

WA9PIE

2017-07-26 10:06

administrator   ~0003744

I replicated this with Ferry today.

PD9FER

2017-07-26 10:09

viewer   ~0003745

Replicated with build 664
Select sh/mydx
restart logbook
setting is back to sh/dx

WA9PIE

2018-04-04 15:06

administrator   ~0004689

Last edited: 2018-04-05 00:07

View 2 revisions

I re-tested this tonight. It's still a problem.

K7ZCZ

2018-06-22 09:44

manager   ~0005382

shelved code for the fix is out for review:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/shelveset?ss=DX%20Cluster%20options%20fix%20%282009%29%3Bmikeblas%40msn.com

K7ZCZ

2018-06-24 20:52

manager   ~0005461

fixed with this checkin

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4181

g3ucq

2018-06-28 11:20

viewer   ~0005517

Fixed.

WA9PIE

2018-06-30 00:49

administrator   ~0005571

Fixed (would love to know when this broke).

Issue History

Date Modified Username Field Change
2017-03-29 09:27 KB3NPH New Issue
2017-07-08 22:16 WA9PIE Project 2 - Next Dev List (Holding Area) => 4 - Closed w/o Action
2017-07-08 22:16 WA9PIE Assigned To => WA9PIE
2017-07-08 22:16 WA9PIE Status new => closed
2017-07-08 22:16 WA9PIE Resolution open => fixed
2017-07-26 10:05 WA9PIE Assigned To WA9PIE => K7ZCZ
2017-07-26 10:05 WA9PIE Reproducibility have not tried => always
2017-07-26 10:05 WA9PIE Status closed => assigned
2017-07-26 10:05 WA9PIE Resolution fixed => open
2017-07-26 10:05 WA9PIE Testing => Not Started
2017-07-26 10:06 WA9PIE Note Added: 0003744
2017-07-26 10:06 WA9PIE Project 4 - Closed w/o Action => 3 - Current Dev List
2017-07-26 10:09 PD9FER Note Added: 0003745
2017-09-18 00:14 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2018-04-04 15:06 WA9PIE Note Added: 0004689
2018-04-04 15:07 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2018-04-05 00:07 WA9PIE Note Edited: 0004689 View Revisions
2018-06-18 21:22 WA9PIE Steps to Reproduce Updated View Revisions
2018-06-22 09:44 K7ZCZ Note Added: 0005382
2018-06-24 20:52 K7ZCZ Status assigned => resolved
2018-06-24 20:52 K7ZCZ Resolution open => fixed
2018-06-24 20:52 K7ZCZ Note Added: 0005461
2018-06-28 10:07 K7ZCZ Fixed in Version => 6.4.0.858
2018-06-28 10:29 WA9PIE Assigned To K7ZCZ => KB3NPH
2018-06-28 11:20 g3ucq Note Added: 0005517
2018-06-30 00:49 WA9PIE Note Added: 0005571
2018-06-30 00:49 WA9PIE Status resolved => closed
2018-07-23 22:53 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-07-24 15:35 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2018-07-24 15:46 WA9PIE Testing Not Started => Beta Successful
2018-07-25 08:00 WA9PIE Fixed in Version 6.4.0.858 => 6.4.0.873
2018-07-25 20:47 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe